# $Revision: 1.61 $, $Date: 2008/10/28 18:17:23 $
# TODO:
# - better event handling in power.sh
# - better default configuration of events in /etc/acpi
# - processor and fan module support (?)
Summary:	ACPI Event Daemon
Summary(pl.UTF-8):	Demon zdarzeń ACPI
Name:		acpid
Version:	1.0.6
Release:	6
License:	GPL v2+
Group:		Daemons
Source0:	http://dl.sourceforge.net/acpid/%{name}-%{version}.tar.gz
# Source0-md5:	5c9b705700df51d232be223b6ab6414d
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
Source4:	%{name}.button.conf
Source5:	%{name}.battery.conf
Source6:	%{name}.button.sh
Source7:	%{name}.battery.sh
URL:		http://acpid.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Provides:	acpi-daemon
Obsoletes:	acpi-daemon
Obsoletes:	apm-daemon
ExclusiveArch:	%{ix86} %{x8664} ia64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
acpid is a daemon that dispatches ACPI events to user-space programs.

%description -l pl.UTF-8
acpid to demon przekazujący zdarzenia ACPI do programów w user-space.

%package policy
Summary:	ACPID policy files
Summary(pl.UTF-8):	Pliki z polityką dla ACPID
Group:		Daemons
Requires:	%{name} = %{version}-%{release}

%description policy
This package contains scripts and configuration files which allow
ACPID to take action on incoming ACPI events (eg. to run a script that
suspends the system when the power button is pressed).

Notice: on most current systems you DO NOT want this package
installed, since there are other software packages responsible for
handling ACPI events (one example being gnome-power-manager) and
having ACPID also respond will lead to problems. In such cases ACPID
should only act as a message broker.

%description policy -l pl.UTF-8
Ten pakiet zawiera skrypty i pliki konfiguracyjne, które umożliwiają
demonowi ACPI wykonywanie operacji na podstawie przychodzących
zdarzeń ACPI (np. uruchomienie skryptu usypiającego system, gdy
użytkownik naciśnie przycisk zasilania).

Uwaga: na większości obecnych systemów NIE NALEŻY instalować tego
pakietu, gdyż za reagowanie na zdarzenia ACPI są w nich odpowiedzialne
inne programy (np. gnome-power-manager), więc ACPID by tylko
przeszkadzał. W takich przypadkach demon ACPI powinien działać
wyłącznie jako dyspozytor wiadomości.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS='-Wall -Werror %{rpmcflags} -D_GNU_SOURCE $(DEFS)'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/{logrotate.d,rc.d/init.d,sysconfig},/var/log} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/acpi/{events,actions},%{_sbindir},%{_mandir}/man8}

install acpid $RPM_BUILD_ROOT%{_sbindir}
install acpid.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/acpid
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/acpid
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/acpid
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events/button.conf
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events/battery.conf
install %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/acpi/actions/button.sh
install %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/acpi/actions/battery.sh

> $RPM_BUILD_ROOT/var/log/acpid

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add acpid
%service acpid restart "ACPI daemon"

%preun
if [ "$1" = "0" ]; then
	%service acpid stop
	/sbin/chkconfig --del acpid
fi

%triggerpostun -- %{name} < 1.0.4-4
%banner -e %{name} << 'EOF'
Default configuration files have changed.
You might want to review your configuration in /etc/acpi
EOF

%files
%defattr(644,root,root,755)
%doc Changelog README TODO
%attr(755,root,root) %{_sbindir}/acpid
%dir %{_sysconfdir}/acpi
%dir %{_sysconfdir}/acpi/events
%dir %{_sysconfdir}/acpi/actions
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/acpid
%attr(754,root,root) /etc/rc.d/init.d/acpid
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/acpid
%attr(640,root,root) %ghost /var/log/acpid
%{_mandir}/man8/acpid.8*

%files policy
%defattr(644,root,root,755)
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/acpi/events/*.conf
%attr(754,root,root) %config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/acpi/actions/*.sh

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: acpid.spec,v $
Revision 1.61  2008/10/28 18:17:23  qboosh
- fixed/unified

Revision 1.60  2008/10/26 11:59:28  mmazur
- rel 6; stbr anyone
- separated -policy subpackage for those hardcore enough, they don't want
  to use modern tools for power management and still like their little
  shell scripts for suspend2ram and such

Revision 1.59  2008/05/02 12:02:07  areq
- -D_GNU_SOURCE

Revision 1.58  2008-02-06 21:16:54  glen
- rel 5

Revision 1.57  2008-02-06 19:11:32  glen
- never use '<=' in trigger comparision; rel 4

Revision 1.56  2008-01-20 13:33:14  qboosh
- ACPI interface is specific to x86*/ia64; EA added
- C/O replaced by P/O with virtual {acpi,apm}-daemon
- release 3

Revision 1.55  2007-12-25 22:17:59  glen
- rel 2

Revision 1.54  2007-09-16 14:53:25  areq
- 1.0.6

Revision 1.53  2007/08/06 10:37:06  patrys
- drop mutual obsoletes

Revision 1.52  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.51  2007/02/12 00:48:35  baggins
- converted to UTF-8

Revision 1.50  2006/09/17 16:07:24  glen
- pass CC, CFLAGS, updated initscript; rel 7

Revision 1.49  2006/08/15 20:15:00  havner
- rel 6

Revision 1.48  2006/07/31 00:26:42  glen
- drop non-cvs changelog

Revision 1.47  2006/07/30 19:06:12  glen
- rel 5

Revision 1.46  2006/07/28 19:21:30  blues
- typo

Revision 1.45  2006/07/22 17:34:41  havner
- new configuration files
- rel 4
- banner added for notifying configuration change (wouldn't risk with
  conversion of current configuration)

Revision 1.44  2006/03/20 20:39:41  freetz
- rel.3

Revision 1.43  2006/02/24 15:20:04  glen
- use %service

Revision 1.42  2006/02/01 22:40:50  freetz
- gcc4 fix added (fedora)

Revision 1.41  2005/11/08 17:55:07  pluto
- fix default event pattern and action in acpid.halt_on_power_button.conf
  current 2.6 kernel reports "button/power PWR.. ... ...".
  works fine on i686 and amd64.

Revision 1.40  2005/10/27 09:28:01  tommat
- rel 2, STBR with IBM laptop support

Revision 1.39  2005/04/17 12:46:44  paszczus
- updated to 1.0.4
- adaptarized
- STBR

Revision 1.38  2004/09/23 12:58:12  kolodko
- added macros in /etc/logrotate.d

Revision 1.37  2004/09/15 17:24:34  havner
- rel 2

Revision 1.36  2004/03/30 11:10:12  matkor
- Version 1.0.3-1. Added conf for halting comp on ACPI buttons. Comments ?

Revision 1.35  2004/03/13 21:13:40  wolf
- rel 3

Revision 1.34  2004/03/13 20:58:10  blues
- release 3

Revision 1.33  2004/02/29 20:17:27  blues
- obsoletes poweracpid

Revision 1.32  2004/02/29 18:39:12  blues
- release 2.5 - one more rebuild with even more fixed init script

Revision 1.31  2004/02/25 22:02:20  grzegol
- rel. 2.4 to rebuild with fixed acpid.init script

Revision 1.30  2004/02/25 17:43:38  blues
- release 2.3

Revision 1.29  2003/09/01 00:18:54  blues
- more docs, fix in power.sh script to reflect current kernels behaviour,
  TODO added

Revision 1.28  2003/08/06 16:04:28  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.27  2003/07/17 16:40:53  jareq
- Run modprobe ospm_system on startup

Revision 1.26  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.25  2003/06/02 10:10:47  trojan
- updated to 1.0.2

Revision 1.24  2003/05/27 08:01:33  trojan
- added Source-md5

Revision 1.23  2003/05/25 05:45:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/03/14 09:52:56  qboosh
- use http for sources on sourceforge

Revision 1.21  2002/12/28 16:29:55  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.20  2002/12/07 23:49:18  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.19  2002/12/07 14:32:49  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.18  2002/09/27 16:12:15  gotar
- Requires(post,preun): /sbin/chkconfig,
- consider moving back power.sh to doc - it's only skeleton,
- release 3.

Revision 1.17  2002/09/15 19:43:12  blues
- fixed install, more macros

Revision 1.16  2002/09/15 16:16:13  blues
- removed from doc what is in sbin (I've started too fast using it :))

Revision 1.15  2002/09/15 15:57:10  blues
- release 2 - move script from samples to sbin - usefull in making own ACPI
  rules for buttons. STBR

Revision 1.14  2002/09/14 23:03:08  blues
- one more doc

Revision 1.13  2002/09/14 22:55:28  blues
- 1.0.1 - STBR

Revision 1.12  2002/04/25 15:41:33  arturs
- fixed a small typo

Revision 1.11  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/11 06:03:40  kloczek
- adapterized.

Revision 1.9  2002/02/10 21:44:23  gotar
- added logrotate rule,
- %config(missingok) flag for %{_sysconfdir}/acpi/events/sample.conf.

Revision 1.8  2002/01/24 05:29:20  kloczek
- simplifications in %install.

Revision 1.7  2002/01/23 06:02:01  blues
- added obsoletes apmd

Revision 1.6  2002/01/23 05:45:14  blues
- cosmetics

Revision 1.5  2002/01/23 05:42:27  blues
- release 3
- use own init script insted RH's
- add sysconfig file
- modified post
